Skip to main content
PUT
Update a task item

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

id
string
required

Task item ID

Example:

"tski_abc123def456"

Body

application/json
title
string

Task title

description
string

Task description

status
enum<string>

Task status

Available options:
todo,
in_progress,
in_review,
done,
canceled
priority
enum<string>

Task priority

Available options:
urgent,
high,
medium,
low
assigneeId
object | null

Assignee member ID (set to null to unassign)

Response

200 - application/json

Task item updated successfully

id
string
required

Task item ID

Example:

"tski_abc123def456"

title
string
required

Task title

Example:

"Review vendor contract"

description
object | null
required

Task description

status
enum<string>
required

Task status

Available options:
todo,
in_progress,
in_review,
done,
canceled
priority
enum<string>
required

Task priority

Available options:
urgent,
high,
medium,
low
entityId
string
required

ID of the entity this task belongs to

entityType
enum<string>
required

Type of entity

Available options:
vendor,
risk
assignee
object | null
required

Assignee information

createdBy
object
required

Creator information

updatedBy
object | null
required

Last updater information

createdAt
string<date-time>
required

Creation timestamp

updatedAt
string<date-time>
required

Last update timestamp